<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R)                                                         |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2011 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | Contentteller is not free software. You may not redistribute this file   |
// | or its derivatives without written permission.                           |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 824.9.110424-133320                                               |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Install
 * @copyright (C) 2002-2011 Esselbach Internet Solutions
 */
if( !defined( "CONTENTTELLER_INSTALL" ) )
{
	die( "Error" );
}

if( INSTALLED_BUILD < 24 )
{
	$database -> dbquery( "DROP TABLE IF EXISTS " . DB_PREFIX . "esselbach_ct_newsstoriesundo" );
	$database -> dbquery( "CREATE TABLE " . DB_PREFIX . "esselbach_ct_newsstoriesundo (
	                      newsstoryundo_id int(12) NOT NULL auto_increment,
	                      newsstoryundo_storyid int(12) NOT NULL,
	                      newsstoryundo_author varchar(255) NOT NULL,
	                      newsstoryundo_title varchar(255) default NULL,
	                      newsstoryundo_seo varchar(255) default NULL,
	                      newsstoryundo_story text,
	                      newsstoryundo_extendedstory text,
	                      newsstoryundo_description text,
	                      newsstoryundo_keywords text,
	                      newsstoryundo_date datetime NOT NULL,
	                      newsstoryundo_startdate datetime NOT NULL,
	                      newsstoryundo_expiredate datetime NOT NULL,
	                      newsstoryundo_neverexpire tinyint(1),
	                      newsstoryundo_poll text,
	                      newsstoryundo_fields text,
	                      newsstoryundo_source varchar(255) default '',
	                      newsstoryundo_sourceid int(12) default '0',
	                      newsstoryundo_editip varchar(16) NOT NULL default '::1',
	                      newsstoryundo_editadmin varchar(255) default '',
	                      newsstoryundo_editreason varchar(255) default '',
	                      PRIMARY KEY (newsstoryundo_id),
	                      KEY newsstoryundo_storyid (newsstoryundo_storyid)
	                      ) TYPE=" . DB_ENGINE . ";" );
}

if( INSTALLED_BUILD < 305 )
{
	$database -> dbquery( "ALTER TABLE " . DB_PREFIX . "esselbach_ct_newsstoriesundo ADD newsstoryundo_link varchar(255) default '' AFTER newsstoryundo_extendedstory" );
}

if( INSTALLED_BUILD < 824.3 )
{
	$database -> dbquery( "ALTER TABLE " . DB_PREFIX . "esselbach_ct_newsstoriesundo CHANGE newsstoryundo_editip newsstoryundo_editip varchar(40) NOT NULL default '::1'" );
}

if( INSTALLED_BUILD < 824.9 )
{
	$database -> dbquery( "ALTER TABLE " . DB_PREFIX . "esselbach_ct_newsstoriesundo CHANGE newsstoryundo_story newsstoryundo_story mediumtext" );
	$database -> dbquery( "ALTER TABLE " . DB_PREFIX . "esselbach_ct_newsstoriesundo CHANGE newsstoryundo_extendedstory newsstoryundo_extendedstory mediumtext" );
}
?>